package jp.mosp.common.part;

/**
 * パート名称一覧
 * @author yoshida
 *	@version	0.0.2
 */
public enum PartType {

	/**
	 * CM_CODEパート
	 */
	cmcode(CmCodePart.class.getCanonicalName()),

	/**
	 * CM_CONFパート
	 */
	mospconf(MosPConfPart.class.getCanonicalName()),

	/**
	 * M_CODEパート
	 */
	mospcode(MosPCodePart.class.getCanonicalName()),

	/**
	 * M_KINTAIKEISANパート
	 */
	calculate(CalculatePart.class.getCanonicalName()),

	/**
	 * CM_USERパート
	 */
	mospuser(MosPUserPart.class.getCanonicalName()),

	/**
	 * M_KIHONパート
	 */
	human(HumanPart.class.getCanonicalName()),

	/**
	 * CM_AUTHORITYパート
	 */
	authority(AuthorityPart.class.getCanonicalName()),

	/**
	 * CM_COMPONENTパート
	 */
	component(ComponentPart.class.getCanonicalName()),

	/**
	 * M_SYOZOKUパート
	 */
	section(SectionPart.class.getCanonicalName()),

	/**
	 * M_KAISYAパート
	 */
	office(OfficePart.class.getCanonicalName()),

	/**
	 * CM_WORKTYPEパート
	 */
	worktype(WorkTypePart.class.getCanonicalName()),

	/**
	 * M_YAKUSYOKUパート
	 */
	position(PositionPart.class.getCanonicalName()),

	/**
	 * 和暦パート
	 */
	jpdate(JPDatePart.class.getCanonicalName()),

	/**
	 * 輪番パート
	 */
	rotation(RotationPart.class.getCanonicalName()),

	/**
	 * 承認パート
	 */
	approval(ApprovalPart.class.getCanonicalName()),

	/**
	 * 勤怠承認パート
	 */
	kintaiapproval(KintaiApprovalPart.class.getCanonicalName()),

	/**
	 * 勤怠集計パート
	 */
	kintaicompile(KintaiCompilePart.class.getCanonicalName()),

	/**
	 * 勤怠共通パート
	 */
	kintai(KintaiCommonPart.class.getCanonicalName()),

	/**
	 * 祝祭日パート
	 */
	holiday(HolidayPart.class.getCanonicalName()),

	/**
	 * 残業申請パート
	 * @since	0.0.2
	 */
	overtime(OverTimePart.class.getCanonicalName()),

	/**
	 * ワークフローパート
	 * @since	0.0.2
	 */
	workflow(WorkflowPart.class.getCanonicalName()),
	;

	private String name;

	private PartType (String name) {
		this.name = name;
	}

	public String toString() {
		return name;
	}

}
